[INFO] fetching crate melib 0.6.2...
[INFO] documenting melib-0.6.2 against beta-2020-10-09 for beta-1.48-rustdoc-1
[INFO] extracting crate melib 0.6.2 into /workspace/builds/worker-13/source
[INFO] validating manifest of crates.io crate melib 0.6.2 on toolchain beta-2020-10-09
[INFO] running `Command { std: "/workspace/cargo-home/bin/cargo" "+beta-2020-10-09" "read-manifest" "--manifest-path" "Cargo.toml", kill_on_drop: false }`
[INFO] started tweaking crates.io crate melib 0.6.2
[INFO] finished tweaking crates.io crate melib 0.6.2
[INFO] tweaked toml for crates.io crate melib 0.6.2 written to /workspace/builds/worker-13/source/Cargo.toml
[INFO] running `Command { std: "/workspace/cargo-home/bin/cargo" "+beta-2020-10-09" "generate-lockfile" "--manifest-path" "Cargo.toml" "-Zno-index-update", kill_on_drop: false }`
[INFO] running `Command { std: "/workspace/cargo-home/bin/cargo" "+beta-2020-10-09" "fetch" "--locked" "--manifest-path" "Cargo.toml", kill_on_drop: false }`
[INFO] [stderr]     Blocking waiting for file lock on package cache
[INFO] [stderr]  Downloading crates ...
[INFO] [stderr]   Downloaded async-process v1.0.1
[INFO] [stderr]   Downloaded async-fs v1.5.0
[INFO] [stderr]   Downloaded smol v1.2.4
[INFO] [stderr]   Downloaded async-lock v2.3.0
[INFO] [stderr]   Downloaded xdg-utils v0.3.1
[INFO] running `Command { std: "docker" "create" "-v" "/var/lib/crater-agent-workspace/builds/worker-13/target:/opt/rustwide/target:rw,Z" "-v" "/var/lib/crater-agent-workspace/builds/worker-13/source:/opt/rustwide/workdir:ro,Z" "-v" "/var/lib/crater-agent-workspace/cargo-home:/opt/rustwide/cargo-home:ro,Z" "-v" "/var/lib/crater-agent-workspace/rustup-home:/opt/rustwide/rustup-home:ro,Z" "-e" "SOURCE_DIR=/opt/rustwide/workdir" "-e" "CARGO_TARGET_DIR=/opt/rustwide/target" "-e" "CARGO_HOME=/opt/rustwide/cargo-home" "-e" "RUSTUP_HOME=/opt/rustwide/rustup-home" "-w" "/opt/rustwide/workdir" "-m" "1610612736" "--user" "0:0" "--network" "none" "rustops/crates-build-env@sha256:d92eaeed33fa75130ca1ee6c8a01d1ffb62bac859dfdfb3450e3e5d1c0146529" "/opt/rustwide/cargo-home/bin/cargo" "+beta-2020-10-09" "metadata" "--no-deps" "--format-version=1", kill_on_drop: false }`
[INFO] [stdout] 1c96cfdc125c5bc7953b5fd52e611a53e73d4b7da01ce9fefbc94d7b403233b0
[INFO] [stderr] WARNING: Your kernel does not support swap limit capabilities or the cgroup is not mounted. Memory limited without swap.
[INFO] running `Command { std: "docker" "start" "-a" "1c96cfdc125c5bc7953b5fd52e611a53e73d4b7da01ce9fefbc94d7b403233b0", kill_on_drop: false }`
[INFO] running `Command { std: "docker" "inspect" "1c96cfdc125c5bc7953b5fd52e611a53e73d4b7da01ce9fefbc94d7b403233b0", kill_on_drop: false }`
[INFO] running `Command { std: "docker" "rm" "-f" "1c96cfdc125c5bc7953b5fd52e611a53e73d4b7da01ce9fefbc94d7b403233b0", kill_on_drop: false }`
[INFO] [stdout] 1c96cfdc125c5bc7953b5fd52e611a53e73d4b7da01ce9fefbc94d7b403233b0
[INFO] running `Command { std: "docker" "create" "-v" "/var/lib/crater-agent-workspace/builds/worker-13/target:/opt/rustwide/target:rw,Z" "-v" "/var/lib/crater-agent-workspace/builds/worker-13/source:/opt/rustwide/workdir:ro,Z" "-v" "/var/lib/crater-agent-workspace/cargo-home:/opt/rustwide/cargo-home:ro,Z" "-v" "/var/lib/crater-agent-workspace/rustup-home:/opt/rustwide/rustup-home:ro,Z" "-e" "SOURCE_DIR=/opt/rustwide/workdir" "-e" "CARGO_TARGET_DIR=/opt/rustwide/target" "-e" "CARGO_INCREMENTAL=0" "-e" "RUST_BACKTRACE=full" "-e" "RUSTDOCFLAGS=--cap-lints=warn" "-e" "CARGO_HOME=/opt/rustwide/cargo-home" "-e" "RUSTUP_HOME=/opt/rustwide/rustup-home" "-w" "/opt/rustwide/workdir" "-m" "1610612736" "--user" "0:0" "--network" "none" "rustops/crates-build-env@sha256:d92eaeed33fa75130ca1ee6c8a01d1ffb62bac859dfdfb3450e3e5d1c0146529" "/opt/rustwide/cargo-home/bin/cargo" "+beta-2020-10-09" "doc" "--frozen" "--no-deps" "--document-private-items" "--message-format=json", kill_on_drop: false }`
[INFO] [stdout] fbb2b3d1d422b42fb06c10377ec39de0c52bb6ad06ec6b15b41b8bdd5d670ac9
[INFO] [stderr] WARNING: Your kernel does not support swap limit capabilities or the cgroup is not mounted. Memory limited without swap.
[INFO] running `Command { std: "docker" "start" "-a" "fbb2b3d1d422b42fb06c10377ec39de0c52bb6ad06ec6b15b41b8bdd5d670ac9", kill_on_drop: false }`
[INFO] [stderr]     Blocking waiting for file lock on package cache
[INFO] [stderr]    Compiling serde v1.0.117
[INFO] [stderr]     Checking encoding_index_tests v0.1.4
[INFO] [stderr]     Checking ahash v0.4.6
[INFO] [stderr]    Compiling melib v0.6.2 (/opt/rustwide/workdir)
[INFO] [stderr]     Checking xdg-utils v0.3.1
[INFO] [stderr]    Compiling libsqlite3-sys v0.20.1
[INFO] [stderr]     Checking async-lock v2.3.0
[INFO] [stderr]     Checking nb-connect v1.0.2
[INFO] [stderr]     Checking net2 v0.2.35
[INFO] [stderr]     Checking iovec v0.1.4
[INFO] [stderr]     Checking signal-hook-registry v1.2.1
[INFO] [stderr]     Checking inotify-sys v0.1.3
[INFO] [stderr]     Checking filetime v0.2.12
[INFO] [stderr]     Checking memmap v0.5.2
[INFO] [stderr]     Checking futures-lite v1.11.1
[INFO] [stderr]     Checking openssl-sys v0.9.58
[INFO] [stderr]     Checking polling v2.0.2
[INFO] [stderr]     Checking flate2 v1.0.18
[INFO] [stderr]     Checking encoding-index-singlebyte v1.20141219.5
[INFO] [stderr]     Checking encoding-index-korean v1.20141219.5
[INFO] [stderr]     Checking encoding-index-tradchinese v1.20141219.5
[INFO] [stderr]     Checking encoding-index-simpchinese v1.20141219.5
[INFO] [stderr]     Checking encoding-index-japanese v1.20141219.5
[INFO] [stderr]    Compiling async-stream-impl v0.2.1
[INFO] [stderr]     Checking inotify v0.7.1
[INFO] [stderr]     Checking hashbrown v0.9.1
[INFO] [stderr]     Checking signal-hook v0.1.16
[INFO] [stderr]     Checking crossbeam v0.7.3
[INFO] [stderr]     Checking futures-util v0.3.6
[INFO] [stderr]     Checking mio v0.6.22
[INFO] [stderr]     Checking openssl v0.10.30
[INFO] [stderr]     Checking hashlink v0.6.0
[INFO] [stderr]     Checking encoding v0.2.33
[INFO] [stderr]     Checking mio-extras v2.0.6
[INFO] [stderr]     Checking blocking v1.0.2
[INFO] [stderr]     Checking async-io v1.1.10
[INFO] [stderr]     Checking async-executor v1.3.0
[INFO] [stderr]     Checking notify v4.0.15
[INFO] [stderr]     Checking async-fs v1.5.0
[INFO] [stderr]     Checking async-process v1.0.1
[INFO] [stderr]     Checking async-net v1.4.7
[INFO] [stderr]     Checking smol v1.2.4
[INFO] [stderr]     Checking async-stream v0.2.1
[INFO] [stderr]     Checking native-tls v0.2.4
[INFO] [stderr]     Checking smallvec v1.4.2
[INFO] [stderr]     Checking bincode v1.3.1
[INFO] [stderr]     Checking indexmap v1.6.0
[INFO] [stderr]     Checking uuid v0.8.1
[INFO] [stderr]     Checking futures-executor v0.3.6
[INFO] [stderr]     Checking rusqlite v0.24.1
[INFO] [stderr]     Checking futures v0.3.6
[INFO] [stderr]  Documenting melib v0.6.2 (/opt/rustwide/workdir)
[INFO] [stdout] warning: unresolved link to `email::address::Address`
[INFO] [stdout]   --> src/email.rs:28:80
[INFO] [stdout]    |
[INFO] [stdout] 28 |  * structure. Addresses in `To`, `From` fields etc are parsed into [`Address`](email::address::Address) types.
[INFO] [stdout]    |                                                                                ^^^^^^^^^^^^^^^^^^^^^^^ the module `email` contains no item named `email`
[INFO] [stdout]    |
[INFO] [stdout]    = note: `#[warn(broken_intra_doc_links)]` on by default
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC0822`
[INFO] [stdout]    --> src/email/parser.rs:322:16
[INFO] [stdout]     |
[INFO] [stdout] 322 |     ///way in [RFC0822] and are therefore unpredictable in their meaning.
[INFO] [stdout]     |                ^^^^^^^ the module `dates` contains no item named `RFC0822`
[INFO] [stdout]     |
[INFO] [stdout]     = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC0822`
[INFO] [stdout]    --> src/email/parser.rs:328:22
[INFO] [stdout]     |
[INFO] [stdout] 328 |     ///the error in [RFC0822], they SHOULD all be considered equivalent to
[INFO] [stdout]     |                      ^^^^^^^ the module `dates` contains no item named `RFC0822`
[INFO] [stdout]     |
[INFO] [stdout]     = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `CFWS`
[INFO] [stdout]    --> src/email/parser.rs:364:59
[INFO] [stdout]     |
[INFO] [stdout] 364 |     ///date-time       =   [ day-of-week "," ] date time [CFWS]
[INFO] [stdout]     |                                                           ^^^^ the module `dates` contains no item named `CFWS`
[INFO] [stdout]     |
[INFO] [stdout]     = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `FWS`
[INFO] [stdout]    --> src/email/parser.rs:433:30
[INFO] [stdout]     |
[INFO] [stdout] 433 |     ///day             =   ([FWS] 1*2DIGIT FWS) / obs-day
[INFO] [stdout]     |                              ^^^ the module `dates` contains no item named `FWS`
[INFO] [stdout]     |
[INFO] [stdout]     = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC5234`
[INFO] [stdout]    --> src/email/parser.rs:541:24
[INFO] [stdout]     |
[INFO] [stdout] 541 |     ///following ABNF [RFC5234], taken from [RFC3629]:
[INFO] [stdout]     |                        ^^^^^^^ the module `generic` contains no item named `RFC5234`
[INFO] [stdout]     |
[INFO] [stdout]     = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC3629`
[INFO] [stdout]    --> src/email/parser.rs:541:46
[INFO] [stdout]     |
[INFO] [stdout] 541 |     ///following ABNF [RFC5234], taken from [RFC3629]:
[INFO] [stdout]     |                                              ^^^^^^^ the module `generic` contains no item named `RFC3629`
[INFO] [stdout]     |
[INFO] [stdout]     = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `CFWS`
[INFO] [stdout]     --> src/email/parser.rs:1129:29
[INFO] [stdout]      |
[INFO] [stdout] 1129 |     ///dot-atom        =   [CFWS] dot-atom-text [CFWS]
[INFO] [stdout]      |                             ^^^^ the module `generic` contains no item named `CFWS`
[INFO] [stdout]      |
[INFO] [stdout]      = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `CFWS`
[INFO] [stdout]     --> src/email/parser.rs:1129:50
[INFO] [stdout]      |
[INFO] [stdout] 1129 |     ///dot-atom        =   [CFWS] dot-atom-text [CFWS]
[INFO] [stdout]      |                                                  ^^^^ the module `generic` contains no item named `CFWS`
[INFO] [stdout]      |
[INFO] [stdout]      = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: 9 warnings emitted
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stderr]     Finished dev [unoptimized + debuginfo] target(s) in 27.84s
[INFO] running `Command { std: "docker" "inspect" "fbb2b3d1d422b42fb06c10377ec39de0c52bb6ad06ec6b15b41b8bdd5d670ac9", kill_on_drop: false }`
[INFO] running `Command { std: "docker" "rm" "-f" "fbb2b3d1d422b42fb06c10377ec39de0c52bb6ad06ec6b15b41b8bdd5d670ac9", kill_on_drop: false }`
[INFO] [stdout] fbb2b3d1d422b42fb06c10377ec39de0c52bb6ad06ec6b15b41b8bdd5d670ac9
